<?php 

if (!function_exists('sv') || preg_match('#/plugins/comments/admin.php#i', $_SERVER['SCRIPT_NAME']))
{
	die('no direct access');
}

/* utf8-marker = äöü
==========================================
CMSimple Plugin Comments
Version comments 4.18
Release: 2026-03
Gert Ebersbach
ge-webdesign.de
==========================================
*/

initvar('comments');

if($comments)
{
	global $action, $admin, $pth, $ts, $tx, $plugin_cf, $show_entry, $blog_file, $co_author_folder;
	
	if(!defined('CMSIMPLE_VERSION'))
	{
		$o.= '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="https://www.cmsimple.org/?Downloads___CMSimple">CMSimple Download & Updates &raquo;</a></p>';
		return;
	}
  
	if(defined('XH_ADM'))
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0;">
<h4><a href="?comments">Plugin Info &raquo;</a></h4>
<p style="line-height: 1.6em;"><b>Comments</b>&nbsp;by&nbsp;<a href="https://www.ge-webdesign.de/cmsimpleplugins/"><u>ge-webdesign.de&nbsp;&raquo;</u></a> &nbsp; 
for&nbsp;<b>CMSimple&nbsp;4.2</b>&nbsp;or&nbsp;higher&nbsp;from&nbsp;<a href="https://www.cmsimple.org/"><u>cmsimple.org&nbsp;&raquo;</u></a></p>
</div>';
	}
	else
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0; padding: 0 0 6px 0;">
<b><a href="?comments">Plugin Info &raquo;</a></b>
</div>
';
	}
	
	$o.=print_plugin_admin('off');

	if($admin=='') 
	{ 
		$o.= '
<br>
<h4>'.$comments_version.'</h4><p>by <a href="https://www.ge-webdesign.de/" target="_blank">ge-webdesign.de</a>  (released: '.$comments_release.')</p>
<div style="font-family: arial, sans-serif; font-size: 15px; letter-spacing: 0; border: 4px double; padding: 6px 16px; margin: 2px 0 8px 0;">
<p style="text-align: center;">This Plugin is made for <a href="https://www.cmsimple.org/"><span style="font-weight: 400; padding: 0 6px; ">CMSimple 4.2 &raquo;</span></a> or higher.</p>
<p style="text-align: center;">Recommended is the current version of CMSimple from <a href="https://www.cmsimple.org/?Downloads___CMSimple">cmsimple.org&nbsp;&raquo;</a></p>
</div>
';
  //### Start-Page of Plugin
	}
	
	if($admin=='plugin_main') 
	{ 
		$o.= '
<h4>'.$comments_version.'</h4>';
		$o.= '
<p>' . $plugin_tx['comments']['admin_hint_comments_admin'] . '</p>
<p>' . $plugin_tx['comments']['admin_hint_blogplugin_update'] . '</p>';
	}
	
	if ($admin <> 'plugin_main') 
	{
		$hint=array();
		$hint['mode_donotshowvarnames'] = false;
		$o.=plugin_admin_common($action, $admin, $plugin, $hint);
	}
}
?>